Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226312

Summary: Merge Review: ppc64-utils
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Susi Lehtola <susi.lehtola>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dwmw2, pnasrat, rrakus, susi.lehtola, tony
Target Milestone: ---Flags: susi.lehtola: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-04 21:49:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nobody's working on this, feel free to take it 2007-01-31 20:42:42 UTC
Fedora Merge Review: ppc64-utils

http://cvs.fedora.redhat.com/viewcvs/devel/ppc64-utils/
Initial Owner: pnasrat@redhat.com

Comment 1 omar 2008-02-27 11:09:38 UTC
I found ppc64-utils-0.14-1.fc9.ppc.rpm empty. It doesn't provides any binaries.

--Regards
  Omar M

Comment 2 IBM Bug Proxy 2008-02-29 10:34:39 UTC
(In reply to comment #1)
> I found ppc64-utils-0.14-1.fc9.ppc.rpm empty. It doesn't provides any binaries.
> 
> --Regards
>   Omar M

Bug #435427 is opened for addressing this issue
(https://bugzilla.redhat.com/show_bug.cgi?id=435427)

Comment 3 Susi Lehtola 2009-04-04 21:37:23 UTC
Okay, let's get this review done with.

Comment 4 Susi Lehtola 2009-04-04 21:49:26 UTC
rpmlint output:
ppc64-utils.ppc: W: no-documentation
ppc64-utils.ppc: W: no-url-tag
ppc64-utils.ppc: E: no-binary
ppc64-utils.src: E: no-cleaning-of-buildroot %install
ppc64-utils.src: W: no-url-tag
2 packages and 0 specfiles checked; 2 errors, 3 warnings.

MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
- Doesn't have source url, but there's nothing to point to since the package is empty.

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK

MUST: Buildroot cleaned before install. NEEDSFIX

SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


Summary:

- There's no documentation or source since the package is empty.

- No binary error is due to package being ExclusiveArch ppc{,64}; noarch is not a possibility due to the nature of the package.

- Buildroot is not cleaned, but nothing is installed anyway. Cleaning of buildroot might be a good thing to have, just in case.

and most importantly

- although Fedora has a policy of requiring code or content in the package, in this case the package is needed due to legacy considerations. I'm closing this from clogging the review request list in BZ. In the long run some other package should probably take the role of this package, e.g. basesystem (which seems to be also a metapackage) [which is actually noarch, and as such can't be used].


You can fix the cleaning issue in CVS, if you bother.

Comment 5 Susi Lehtola 2009-04-24 20:42:06 UTC
Ping, please acknowledge.

Comment 6 Tony Breeds 2009-04-24 22:31:35 UTC
(In reply to comment #5)
> Ping, please acknowledge.  


I'll look into this ASAP, (probably in 2 days).